Executes a Payment operation

Executes an operation of Payment

With the Payment service, you can perform the following operations on the execute endpoint:

  • Reverse
  • Refund
  • Unapply
  • VoidFailedPayment
  • GetAdjustmentWarning

Reverse

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "Reverse",
  "EntityTypeName": "Payment",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "Asi.Soa.Commerce.DataContracts.PaymentData, Asi.Contracts",
        "$value": "payment Value"
      },
      {
        "$type": "System.Nullable`1[[System.DateTime, mscorlib, ]]",
        "$value": "reversalDate Value"
      },
      {
        "$type": "System.String",
        "$value": "comment Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "Asi.Soa.Commerce.DataContracts.PaymentData, Asi.Contracts",
      "System.Nullable`1[[System.DateTime, mscorlib, ]]",
      "System.String"
    ]
  },
  "UseJson": false
}

Refund

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "Refund",
  "EntityTypeName": "Payment",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "Asi.Soa.Commerce.DataContracts.PaymentRefundData, Asi.Contracts",
        "$value": "paymentRefundData Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "Asi.Soa.Commerce.DataContracts.PaymentRefundData, Asi.Contracts"
    ]
  },
  "UseJson": false
}

Unapply

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "Unapply",
  "EntityTypeName": "Payment",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "Asi.Soa.Commerce.DataContracts.PaymentData, Asi.Contracts",
        "$value": "payment Value"
      },
      {
        "$type": "System.Nullable`1[[System.DateTime, mscorlib, ]]",
        "$value": "adjustmentDate Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "Asi.Soa.Commerce.DataContracts.PaymentData, Asi.Contracts",
      "System.Nullable`1[[System.DateTime, mscorlib, ]]"
    ]
  },
  "UseJson": false
}

VoidFailedPayment

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "VoidFailedPayment",
  "EntityTypeName": "Payment",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "System.String",
        "$value": "paymentId Value"
      },
      {
        "$type": "System.String",
        "$value": "gatewayReference Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "System.String",
      "System.String"
    ]
  },
  "UseJson": false
}

GetAdjustmentWarning

BODY PARAMS:
{
  "$type": "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts",
  "OperationName": "GetAdjustmentWarning",
  "EntityTypeName": "Payment",
  "Parameters": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.Object, mscorlib]], mscorlib",
    "$values": [
      {
        "$type": "System.String",
        "$value": "paymentId Value"
      }
    ]
  },
  "ParameterTypeName": {
    "$type": "System.Collections.ObjectModel.Collection`1[[System.String, mscorlib]], mscorlib",
    "$values": [
      "System.String"
    ]
  },
  "UseJson": false
}
Body Params

request object to execute

string
enum
required
Defaults to Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts

The DataType must be "Asi.Soa.Core.DataContracts.GenericExecuteRequest, Asi.Contracts"

Allowed:
string
string
Parameters
array
Parameters
ParameterTypeNames
array of strings
ParameterTypeNames
string
boolean
Defaults to false
Responses
200

The request was successful.

201

The resource was successfully created.

202

The resource was asynchronously created.

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here!

Contact us
Copyright © Advanced Solutions International, All rights reserved.